package com.fdkankan.common.constant;

/**
 * 场景来源
 */
public enum SceneSource {

    BM(1, "八目"),
    SM(2, "双目"),
    ZT(3, "转台"),
    JG(4, "激光"),
    SG(5, "深光"),
    SX(7, "深巡"),

    QJKK(6, "全景看看"),
    YJHZ(11, "一键换装"),
    E57(57, "E57"),

    INSTA_360(36, "INSTA_360");

    private Integer code;
    private String message;

    private SceneSource(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return code;
    }

    public String message() {
        return message;
    }

    public static SceneSource get(Integer code){
        SceneSource[] values = SceneSource.values();
        Integer enumValue = null;
        for(SceneSource eachValue : values){
            enumValue = eachValue.code();
            if(enumValue.equals(code)){
                return eachValue;
            }
        }
        return null;
    }

}
